12 flaws in Firefox fixed

After the release new patches for Firefox, 12 flaws discovered have been patched. Five of the patches issued in Firefox 1.5.0.4 were labeled “critical”. Mozilla has released four security updates to the 1.5 edition since it was made available last November.

Why you need to update your Firefox?
You need to update your Firefox because multiple vulnerabilities have been reported in Firefox. HTTP response smuggling attacks, could allow malicious code writer to steal login cookies or other sensitive data if the user has an account at the spoofed website.

Beside than that, hackers can run buffer overflaw to unpatch Firefox that would allow them plant malicious code on victim’s computer. Other flaws could let attacker run malicious JavaScript without the user’s permission.

I have updated my Firefox to the latest version. How about you? 😉

More Info: Mozilla Fixes 12 Flaws in Firefox Browser